Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 403439 - www-servers/apache: remove deprecated AddDirectoryIndex from default config
Summary: www-servers/apache: remove deprecated AddDirectoryIndex from default config
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-13 17:48 UTC by Alex Efros
Modified: 2016-02-09 08:17 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Efros 2012-02-13 17:48:29 UTC
Fresh www-servers/apache-2.2.21-r1 install contain in /etc/apache2/modules.d/00_default_settings.conf this:

# To add files to that list use AddDirectoryIndex in a custom config
# file. Do not change this entry unless you know what you are doing.
<IfModule dir_module>
        DirectoryIndex index.html index.html.var
</IfModule>

AFAIK AddDirectoryIndex is deprecated (see bug 139451 for example) and doesn't even mentioned in current apache docs, so this comment in config file should be changed or removed.
Comment 1 Michael Orlitzky gentoo-dev 2014-05-23 17:00:59 UTC
Confirming that AddDirectoryIndex hasn't worked for a while. The comment can certainly go, but I wonder if we even need the DirectoryIndex line at all. "DirectoryIndex index.html" is the default in at least 2.2 and 2.4. I don't know what the index.html.var is supposed to accomplish.
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2014-05-24 19:29:18 UTC
http://git.overlays.gentoo.org/gitweb/?p=proj/apache.git;a=commitdiff;h=82dfb3231aa22a477d7a0c1786b0cb016009c4db

This will be in the next gentoo-apache tarball rollout. Please keep this bug open until a fixed apache is in portage.
Comment 3 Pacho Ramos gentoo-dev 2016-02-08 18:50:36 UTC
Looks like it's still valid with 2.4.18 even :(
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2016-02-09 08:17:21 UTC
The above mentioned change has been rolled out for quite a while already.